4Suite™ API Documentation

# ► Module Ft.Lib.Terminal

Provides some of the information from the terminfo database.

    Copyright 2005 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: AnsiEscapes, Terminal

## Classes

class AnsiEscapes

  ### Members

  Colors = <class Ft.Lib.Terminal.Colors>
class Terminal

  ### Methods

  __init__(self, stream, keepAnsiEscapes=True)
  close(self)
  columns(self)
  flush(self)
    # noop method for underlying streams which do not implement it
  isatty(self)
    # noop method for underlying streams which do not implement it
  lines(self)
  read(self, size=-1)
    # noop method for underlying streams which do not implement it
  size(self)
  write(self, str)
    # noop method for underlying streams which do not implement it
  writetty(self, bytes)